| Leonetienne/Hazelnupp Simple, easy to use, command line parameter interface

Public Member Functions | Protected Attributes | List of all members
Hazelnp::HazelnuppException Class Reference

Generic hazelnupp exception. More...

`#include <HazelnuppException.h>`

Inheritance diagram for Hazelnp::HazelnuppException:
[legend]
Collaboration diagram for Hazelnp::HazelnuppException:
[legend]

## Public Member Functions
| HazelnuppException ()
| HazelnuppException (const std::string &msg)
const std::string & | What () const
| Will return an error message. More...

## Protected Attributes
std::string | message

## Detailed Description

Generic hazelnupp exception.

Definition at line 11 of file HazelnuppException.h.

## Constructor & Destructor Documentation

## ◆ HazelnuppException() [1/2]

Hazelnp::HazelnuppException::HazelnuppException | ( |  | ) |
| inline

Definition at line 14 of file HazelnuppException.h.

14 {};

## ◆ HazelnuppException() [2/2]

Hazelnp::HazelnuppException::HazelnuppException | ( | const std::string & | msg | ) |
| inline

Definition at line 15 of file HazelnuppException.h.

15 : message{ msg } {};

## Member Function Documentation

## ◆ What()

const std::string& Hazelnp::HazelnuppException::What | ( |  | ) | const
| inline

Will return an error message.

Definition at line 18 of file HazelnuppException.h.

19 {
20 return message;
21 }

## Member Data Documentation

## ◆ message

std::string Hazelnp::HazelnuppException::message
| protected

Definition at line 24 of file HazelnuppException.h.

The documentation for this class was generated from the following file:

- Hazelnupp/HazelnuppException.h

Hazelnp::HazelnuppException::message
std::string message
Definition: HazelnuppException.h:24